using System;

namespace JiaZhiQuan.Common
{
    public static partial class CacheKeys
    {
        /// <summary>
        /// 手机号每天发送短信次数限制
        /// </summary>
        /// <param name="mobile"></param>
        /// <returns></returns>
        public static string MobileDayLimit(string mobile)
        {
            return GenerateKey($"send_sms:day_limit:{mobile}");
        }

        /// <summary>
        /// 连续发送的短信次数限制
        /// </summary>
        /// <param name="mobile"></param>
        /// <returns></returns>
        public static string ContinuousLimit(string mobile)
        {
            return GenerateKey($"send_sms:continous_limit:{mobile}");
        }
    }
}
